org.apache.jasper.compiler

## Class WebXml

- java.lang.Object
- - org.apache.jasper.compiler.WebXml

    public class WebXml
    extends Object

Provides Jasper with a standard mechanism for gaining access to the web.xml file associated with the current application. This isn't as simple as looking in /WEB-INF/web.xml. In embedded scenarios, an alternative web.xml may be provided and in Servlet 3.0 / JSP 2.2 environments an application's web.xml may be the result of merging a number of web-fragment.xml files and/or annotations with the main web.xml Clients *must* ensure that they call `close()` to clean up resources.

### Constructor Summary

Constructors
Constructor and Description
`WebXml(ServletContext ctxt)`

### Method Summary

Methods
`void` `close()`
`InputSource` `getInputSource()`
`String` `getSystemId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebXml

    public WebXml(ServletContext ctxt)
           throws IOException

Throws:
  `IOException`

### Method Detail

#### getSystemId

    public String getSystemId()

#### getInputSource

    public InputSource getInputSource()

#### close

    public void close()